## org.eclipse.xsd.impl
Class XSDFixedFacetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDFacetImpl
                              org.eclipse.xsd.impl.XSDConstrainingFacetImpl
                                  org.eclipse.xsd.impl.XSDFixedFacetImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet, XSDFixedFacet

Direct Known Subclasses:
  XSDFractionDigitsFacetImpl, XSDLengthFacetImpl, XSDMaxFacetImpl, XSDMaxLengthFacetImpl, XSDMinFacetImpl, XSDMinLengthFacetImpl, XSDTotalDigitsFacetImpl, XSDWhiteSpaceFacetImpl

    public abstract class XSDFixedFacetImpl

extends XSDConstrainingFacetImpl
implements XSDFixedFacet

An implementation of the model object 'Fixed Facet'.

The following features are implemented:

- `Fixed`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `FIXED_EDEFAULT` The default value of the '`Fixed`' attribute
`protected static int` `FIXED_EFLAG` The flag representing the value of the '`Fixed`' attribute
`protected static int` `FIXED_ESETFLAG` The flag representing whether the Fixed attribute has been set

Fields inherited from class org.eclipse.xsd.impl.XSDFacetImpl
`annotation, EFFECTIVE_VALUE_EDEFAULT, FACET_NAME_EDEFAULT, LEXICAL_VALUE_EDEFAULT, lexicalValue`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDFixedFacetImpl()`

Method Summary
`protected void` `changeAttribute(EAttribute eAttribute)`
`static XSDFixedFacet` `createFixedFacet(org.w3c.dom.Node node)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`boolean` `isFixed()`
`boolean` `isSetFixed()`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`protected boolean` `restrictionMatch(XSDFixedFacet xsdFixedFacet)`
`void` `setFixed(boolean newFixed)`
`java.lang.String` `toString()`
`void` `unsetFixed()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.
`protected void` `validateRestriction(XSDFixedFacet xsdFixedFacet)`
`protected void` `validateValue()`

Methods inherited from class org.eclipse.xsd.impl.XSDConstrainingFacetImpl
`createConstrainingFacet, isConstraintSatisfied`

Methods inherited from class org.eclipse.xsd.impl.XSDFacetImpl
`basicSetAnnotation, eInverseRemove, getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, handleReconciliation, handleUnreconciledElement, setAnnotation, setLexicalValue`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponent, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDConstrainingFacet
`isConstraintSatisfied`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### FIXED_EDEFAULT

    protected static final boolean FIXED_EDEFAULT

  The default value of the '`Fixed`' attribute.

  See Also:
    `isFixed()`, Constant Field Values

### FIXED_EFLAG

    protected static final int FIXED_EFLAG

  The flag representing the value of the '`Fixed`' attribute.

  See Also:
    `isFixed()`, Constant Field Values

### FIXED_ESETFLAG

    protected static final int FIXED_ESETFLAG

  The flag representing whether the Fixed attribute has been set.

  See Also:
    Constant Field Values

Constructor Detail

### XSDFixedFacetImpl

    protected XSDFixedFacetImpl()

Method Detail

### createFixedFacet

    public static XSDFixedFacet createFixedFacet(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDConstrainingFacetImpl`

### isFixed

    public boolean isFixed()

  Specified by:
    `isFixed` in interface `XSDFixedFacet`
  Returns:
    the value of the 'Fixed' attribute.
  See Also:
    `XSDFixedFacet.isSetFixed()`, `XSDFixedFacet.unsetFixed()`, `XSDFixedFacet.setFixed(boolean)`, `XSDPackage.getXSDFixedFacet_Fixed()`

### setFixed

    public void setFixed(boolean newFixed)

  Specified by:
    `setFixed` in interface `XSDFixedFacet`
  Parameters:
    `newFixed` - the new value of the 'Fixed' attribute.
  See Also:
    `XSDFixedFacet.isSetFixed()`, `XSDFixedFacet.unsetFixed()`, `XSDFixedFacet.isFixed()`

### unsetFixed

    public void unsetFixed()

  Specified by:
    `unsetFixed` in interface `XSDFixedFacet`
  See Also:
    `XSDFixedFacet.isSetFixed()`, `XSDFixedFacet.isFixed()`, `XSDFixedFacet.setFixed(boolean)`

### isSetFixed

    public boolean isSetFixed()

  Specified by:
    `isSetFixed` in interface `XSDFixedFacet`
  Returns:
    whether the value of the 'Fixed' attribute is set.
  See Also:
    `XSDFixedFacet.unsetFixed()`, `XSDFixedFacet.isFixed()`, `XSDFixedFacet.setFixed(boolean)`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDFacetImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDFacetImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDFacetImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDFacetImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDFacetImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConstrainingFacetImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### validateValue

    protected void validateValue()

  Overrides:
    `validateValue` in class `XSDFacetImpl`

### restrictionMatch

    protected boolean restrictionMatch(XSDFixedFacet xsdFixedFacet)

### validateRestriction

    protected void validateRestriction(XSDFixedFacet xsdFixedFacet)

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDFacetImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDFacetImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.